org.apache.olingo.server.api.processor

## Interface ComplexCollectionProcessor

- All Superinterfaces:
    Processor
  All Known Subinterfaces:
    CountComplexCollectionProcessor

      public interface ComplexCollectionProcessor
      extends Processor

  Processor interface for handling a collection of complex-type instances, e.g., a property of an entity defined as collection of complex-type instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteComplexCollection(ODataRequest request, ODataResponse response, UriInfo uriInfo)` Deletes complex-type collection from an entity and puts the status into the response.
    `void` | `readComplexCollection(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType responseFormat)` Reads complex-type collection.
    `void` | `updateComplexCollection(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType requestFormat, ContentType responseFormat)` Update (replace) complex-type collection with send data in the persistence and puts content, status, and Location into the response.

    - ### Methods inherited from interface org.apache.olingo.server.api.processor.Processor

      `init`

- - ### Method Detail

    - #### readComplexCollection

          void readComplexCollection(ODataRequest request,
                                     ODataResponse response,
                                     UriInfo uriInfo,
                                     ContentType responseFormat)
                              throws ODataApplicationException,
                                     ODataLibraryException

      Reads complex-type collection. If it is not available, for example due to permissions, the service responds with 404 Not Found.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### updateComplexCollection

          void updateComplexCollection(ODataRequest request,
                                       ODataResponse response,
                                       UriInfo uriInfo,
                                       ContentType requestFormat,
                                       ContentType responseFormat)
                                throws ODataApplicationException,
                                       ODataLibraryException

      Update (replace) complex-type collection with send data in the persistence and puts content, status, and Location into the response. Update of complex-type collection is equal to a complete replace of the property (see chapter "11.4.9.4 Update a Collection Property").
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `requestFormat` - content type of body sent with request
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### deleteComplexCollection

          void deleteComplexCollection(ODataRequest request,
                                       ODataResponse response,
                                       UriInfo uriInfo)
                                throws ODataApplicationException,
                                       ODataLibraryException

      Deletes complex-type collection from an entity and puts the status into the response. Deletion for complex-type collection is equal to set the content to `EMPTY`.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.